# StanzaHandlerData class

## Constructors

StanzaHandlerData (bool done, bool cancel, Stanza stanza, TypedMap <StanzaHandlerExtension> extensions, {Object? cancelReason, Object? encryptionError, bool encrypted = false, bool forceEncryption = false, bool shouldEncrypt = true, bool skip = false})

## Properties

cancel ↔ bool
  Indicates to the runner that processing is to be cancelled and no further handlers should run. The stanza also will not be sent.
  getter/setter pair
cancelReason ↔ Object?
  The reason why we cancelled the processing and sending.
  getter/setter pair
done ↔ bool
  Indicates to the runner that processing is now done. This means that all pre-processing is done and no other handlers should be consulted.
  getter/setter pair
encrypted ↔ bool
  Whether the stanza is already encrypted
  getter/setter pair
encryptionError ↔ Object?
  The reason why an encryption or decryption failed.
  getter/setter pair
extensions → TypedMap <StanzaHandlerExtension>
  Additional data from other managers.
  final
forceEncryption ↔ bool
  getter/setter pair
hashCode → int
  The hash code for this object.
  no setterinherited
runtimeType → Type
  A representation of the runtime type of the object.
  no setterinherited
shouldEncrypt ↔ bool
  Flag indicating whether a E2EE implementation should encrypt the stanza (true) or not (false).
  getter/setter pair
skip ↔ bool
  Only useful in combination with done = true: When skip is set to true and this StanzaHandlerData object is returned from a IncomingPreStanzaHandler, then moxxmpp will skip checking whether the stanza was awaited and will not run any actual IncomingStanzaHandler callbacks.
  getter/setter pair
stanza ↔ Stanza
  The stanza that is being dealt with. SHOULD NOT be overwritten, unless it is absolutely necessary, e.g. with Message Carbons or OMEMO.
  getter/setter pair

## Methods

noSuchMethod (Invocation invocation) → dynamic
  Invoked when a nonexistent method or property is accessed.
  inherited
toString () → String
  A string representation of this object.
  inherited

## Operators

operator == (Object other) → bool
  The equality operator.
  inherited